# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "smbcloud-network"
version = "0.4.5"
authors = ["Seto Elkahfi <hej@setoelkahfi.se>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Command line tool for deploying NextJS app on the smbCloud platform."
documentation = "https://smbcloud.xyz/posts"
readme = "README.md"
keywords = [
    "cli",
    "cloud",
    "web2",
    "web3",
    "smbcloud",
]
categories = [
    "command-line-utilities",
    "command-line-interface",
    "cryptography::cryptocurrencies",
    "development-tools",
    "wasm",
]
license = "Apache-2.0"
repository = "https://github.com/smbcloudXYZ/smbcloud-cli"
resolver = "2"

[lib]
name = "smbcloud_network"
crate-type = [
    "cdylib",
    "rlib",
]
path = "src/lib.rs"

[dependencies.clap]
version = "4.1.6"
features = [
    "derive",
    "env",
]

[dependencies.log]
version = "0.4.14"

[dependencies.reqwest]
version = "0.12.18"
features = [
    "json",
    "rustls-tls-native-roots",
]
default-features = false

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.82"

[dependencies.smbcloud-model]
version = "0.4.5"

[dependencies.wasm-bindgen]
version = "0.2"
